> ## Documentation Index
> Fetch the complete documentation index at: https://integrations.docs.commenda.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List



## OpenAPI

````yaml /openapi_v4_core.json get /v4/core/syncs/{syncId}/jobs
openapi: 3.0.0
info:
  title: Commenda Integrations V4 API
  description: Commenda Integrations — unified accounting, commerce, and CRM API.
  version: 4.0.0
  contact: {}
servers:
  - url: https://api.integrations.commenda.io
    description: Production
security:
  - api_key: []
tags: []
paths:
  /v4/core/syncs/{syncId}/jobs:
    get:
      tags:
        - Job
      summary: List
      operationId: JobController_list
      parameters:
        - name: syncId
          required: true
          in: path
          schema:
            type: string
        - name: limit
          required: true
          in: query
          schema:
            minimum: 1
            maximum: 500
            default: 200
            type: number
        - name: cursor
          required: false
          in: query
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListJobsResponse'
components:
  schemas:
    ListJobsResponse:
      type: object
      properties:
        jobs:
          type: array
          items:
            $ref: '#/components/schemas/SerializedJob'
        count:
          type: number
        next:
          type: object
          nullable: true
      required:
        - jobs
        - count
    SerializedJob:
      type: object
      properties:
        id:
          type: string
        dataModel:
          type: string
          enum:
            - ACCOUNT
            - BALANCE_SHEET
            - BANK_ACCOUNT
            - BANK_TRANSACTION
            - BILL
            - BILL_CREDIT_NOTE
            - BILL_PAYMENT
            - CASH_FLOW_STATEMENT
            - COMPANY_INFO
            - CONTACT
            - CURRENCY
            - DOCUMENT
            - EXPENSE
            - GOODS_RECEIPT_NOTE
            - INCOME_STATEMENT
            - INVOICE
            - INVOICE_CREDIT_NOTE
            - INVOICE_PAYMENT
            - ITEM
            - JOURNAL_ENTRY
            - JOURNAL_LINE
            - PROJECT
            - PURCHASE_ORDER
            - SALES_ORDER
            - ESTIMATE
            - TAX_RATE
            - TRACKING_CATEGORY
            - CASH_SALE
            - CASH_REFUND
            - BALANCE
            - DISPUTE
            - ORDER
            - PAYOUT
            - SUBSCRIPTION
            - TRANSACTION
            - EVENT
            - FULFILLMENT
            - INVENTORY
            - COMPANY
            - LEAD
            - OPPORTUNITY
            - PIPELINE
            - PIPELINE_STAGE
            - NOTE
            - TASK
            - OWNER
            - ENGAGEMENT
            - ADDRESS
            - EXTERNAL_LINK
            - LINE_ITEM
            - PHONE_NUMBER
            - VARIANT
        status:
          type: string
          enum:
            - SUCCESS
            - FAILED
            - CREATED
            - RUNNING
        jobType:
          type: string
          enum:
            - PUSH
            - PULL
            - CUSTOM
        configMode:
          type: string
          enum:
            - CREATE
            - READ
            - UPDATE
            - DELETE
            - DOWNLOAD
            - CUSTOM
        recordsSynced:
          type: object
          nullable: true
        retryCount:
          type: number
        parentJobId:
          type: object
          nullable: true
        errorCode:
          type: object
          nullable: true
        errorMessage:
          type: object
          nullable: true
        errorResponse:
          type: object
          nullable: true
        startTime:
          type: object
          nullable: true
        endTime:
          type: object
          nullable: true
        createdAt:
          type: string
      required:
        - id
        - dataModel
        - status
        - jobType
        - configMode
        - retryCount
        - createdAt
  securitySchemes:
    api_key:
      type: apiKey
      in: header
      name: api_key
      description: Your Commenda Integrations API key, sent in the `api_key` header.

````